SDL_CopyProperties(3)

NAME
SDL_CopyProperties - Copy a set of properties.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_CopyProperties(SDL_PropertiesID src, SDL_PropertiesID dst);

DESCRIPTION
Copy all the properties from one set of properties to another, with the exception of properties requiring cleanup (set using SDL_SetPropertyWithCleanup ()), which will not be copied. Any property that already exists on dst will be overwritten.

FUNCTION PARAMETERS

src the properties to copy

dst the destination properties

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.